From 74da40d44c2c7c4eb6c0d754b490ee1dae974c0d Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Aug 04 2021 10:29:57 +0000
Subject: [PATCH 3/11] selected language is added to the label


---

diff --git a/src/layout/Masthead.js b/src/layout/Masthead.js
index bc889f2..8295705 100644
--- a/src/layout/Masthead.js
+++ b/src/layout/Masthead.js
@@ -1,4 +1,4 @@
-import React, { useState } from "react"
+import React, { useEffect, useState } from "react"
 import { Link, useLocation } from "react-router-dom"
 import {
   Container,
@@ -24,9 +24,17 @@ import { shallowEqual, useDispatch, useSelector } from "react-redux"
 const selectWizardFromStore = (state) => state.wizard.api_call_status
 const selectLandingPageFromStore = (state) => state.landing_page.api_call_status
 
+const language = [
+  {
+    lang: "en",
+    name: "english",
+  },
+]
+
 const Masthead = () => {
   const { i18n } = useSelector((state) => state.locale)
   const [dropdownOpen, setDropdownOpen] = useState(false)
+  const [lang, setLang] = useState("")
 
   const location = useLocation()
   const dispatch = useDispatch()
@@ -66,9 +74,15 @@ const Masthead = () => {
   }
 
   const handleClick = (lang) => {
+    setLang(lang)
     dispatch(changeLanguage(lang))
   }
 
+  useEffect(() => {
+    const language = localStorage.getItem("locale")
+    setLang(language)
+  }, [])
+
   const toggle = () => setDropdownOpen((prevState) => !prevState)
 
   return (
@@ -79,16 +93,7 @@ const Masthead = () => {
             <img src={logo} alt="" />
           </Link>
         </NavbarBrand>
-        {ROUTE.LANDING_PAGE === location.pathname && (
-          <ButtonDropdown isOpen={dropdownOpen} toggle={toggle}>
-            <DropdownToggle caret>{i18n.t("phrases.select_language")}</DropdownToggle>
-            <DropdownMenu>
-              <DropdownItem onClick={() => handleClick("en")}>
-                {i18n.t("words.english")}
-              </DropdownItem>
-            </DropdownMenu>
-          </ButtonDropdown>
-        )}
+
         <div>
           {api_call_status() === API_CALL_STATUS_VALUES.STARTED ||
           api_call_status() === API_CALL_STATUS_VALUES.RETRYING ? (
@@ -119,6 +124,18 @@ const Masthead = () => {
               )}
             </>
           )}
+          {ROUTE.LANDING_PAGE === location.pathname && (
+            <ButtonDropdown isOpen={dropdownOpen} toggle={toggle}>
+              <DropdownToggle caret>
+                {lang ? lang : i18n.t("phrases.select_language")}
+              </DropdownToggle>
+              <DropdownMenu>
+                {language.map((item) => (
+                  <DropdownItem onClick={() => handleClick(item.lang)}>{item.name}</DropdownItem>
+                ))}
+              </DropdownMenu>
+            </ButtonDropdown>
+          )}
 
           {ROUTE.LANDING_PAGE === location.pathname && (
             <Button color="primary" onClick={toggleModal}>

